Mark products out of stock by PLU Run in API Explorer
Ask AI
Mark products out of stock for a certain amount of time based on their PLU and location. You can use the same call to unsnooze product passing snoozeEnd time in the past.
POST
/products/snoozeByPlus
curl \
--request POST 'https://api.staging.deliverect.com/products/snoozeByPlus' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"plus":["PLU1"],"account":"{{account_id}}","location":"{{location_id}}","snoozeEnd":"2019-03-07T15:45:00.000Z","snoozeStart":"2019-03-06T15:45:00.000Z"}'
Request example
{
"plus": [
"PLU1"
],
"account": "{{account_id}}",
"location": "{{location_id}}",
"snoozeEnd": "2019-03-07T15:45:00.000Z",
"snoozeStart": "2019-03-06T15:45:00.000Z"
}
Response examples (default)
Multiple PLUs across all locations
{"value" => nil, "summary" => "Multiple PLUs across all locations"}
{"value" => nil, "summary" => "Multiple PLUs for one location"}
{"value" => nil, "summary" => "Single PLU for one location"}
{"value" => nil, "summary" => "Single PLU across all locations"}